Bug 98130 - Trackpoint release event lost while moving
Summary: Trackpoint release event lost while moving
Status: RESOLVED INVALID
Alias: None
Product: Wayland
Classification: Unclassified
Component: libinput (show other bugs)
Version: 1.5.0
Hardware: Other All
: medium normal
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-06 22:34 UTC by Joachim Breitner
Modified: 2016-10-11 13:06 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
evemu log (63.81 KB, text/plain)
2016-10-06 22:41 UTC, Joachim Breitner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Breitner 2016-10-06 22:34:44 UTC
I got a new T460s, and it seems that the input story is not yet fully fixed (See kernel bug #114321 for a related, but probably fixed bug).

I observe that when I move the cursor using the trackpoint and click the trackpoint button (below the space key) while doing so, the release event sometimes gets lost, and sometimes the press event. I test this using `xinput test 11`, but I can observe it more reliable in everyday use of the device.

Maybe the new code that erases “spurious” trackpoint events in 1.5 goes wrong?

This is kernel 4.8.0-rc8 from Debian, libinput 1.5, on X11.

I have reported this also at https://bugzilla.kernel.org/show_bug.cgi?id=176691 but maybe it is better here.

(I’ll try to follow up with better debugging information.)
Comment 1 Joachim Breitner 2016-10-06 22:40:46 UTC
~ $ xinput list
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ TPPS/2 IBM TrackPoint                   	id=11	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Sleep Button                            	id=8	[slave  keyboard (3)]
    ↳ Integrated Camera                       	id=9	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=10	[slave  keyboard (3)]
    ↳ ThinkPad Extra Buttons                  	id=12	[slave  keyboard (3)]
~ $ xinput list-props 11
Device 'TPPS/2 IBM TrackPoint':
	Device Enabled (139):	1
	Coordinate Transformation Matrix (141):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	libinput Accel Speed (275):	0.000000
	libinput Accel Speed Default (276):	0.000000
	libinput Accel Profiles Available (277):	1, 1
	libinput Accel Profile Enabled (278):	1, 0
	libinput Accel Profile Enabled Default (279):	1, 0
	libinput Natural Scrolling Enabled (280):	0
	libinput Natural Scrolling Enabled Default (281):	0
	libinput Send Events Modes Available (259):	1, 0
	libinput Send Events Mode Enabled (260):	0, 0
	libinput Send Events Mode Enabled Default (261):	0, 0
	libinput Left Handed Enabled (282):	0
	libinput Left Handed Enabled Default (283):	0
	libinput Scroll Methods Available (284):	0, 0, 1
	libinput Scroll Method Enabled (285):	0, 0, 0
	libinput Scroll Method Enabled Default (286):	0, 0, 1
	libinput Button Scrolling Button (287):	2
	libinput Button Scrolling Button Default (288):	274
	libinput Middle Emulation Enabled (289):	0
	libinput Middle Emulation Enabled Default (290):	0
	Device Node (262):	"/dev/input/event2"
	Device Product ID (263):	2, 10
	libinput Drag Lock Buttons (291):	<no items>
	libinput Horizontal Scroll Enabled (264):	1
~ $ cat /sys/class/dmi/id/modalias
dmi:bvnLENOVO:bvrN1CET45W(1.13):bd06/02/2016:svnLENOVO:pn20FAS5TU00:pvrThinkPadT460s:rvnLENOVO:rn20FAS5TU00:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrNone:

I’m also attaching a evemu log of me clicking a few times. As you can see, the last click has no corresponding release.

(If this is observable in the evemu log, does this mean that this is *not* a libinput bug?)
Comment 2 Joachim Breitner 2016-10-06 22:41:39 UTC
Created attachment 127082 [details]
evemu log
Comment 3 Benjamin Tissoires 2016-10-11 10:08:31 UTC
(In reply to Joachim Breitner from comment #1)
> (If this is observable in the evemu log, does this mean that this is *not* a
> libinput bug?)

Yes, the evemu outputs what available from the kernel, so if the events are not coming through here, it means libinput can't do much (especially for button press/release).

Anyway, this is unfortunately a known bug. It is a firmware issue with the PS/2 firmware of the Synaptics touchpads. You might notice that this happens if your palm rests on the touchpad sensor (with at least 2 touches).

We have a working solution that still needs to be merged.  Using RMI4 (custom Synaptics protocol) over SMBus for these laptops solves the bug. Until then, there is not much we can do, besides telling you not to touch the touchpad while pressing the buttons (yeah, this sucks).
Comment 4 Joachim Breitner 2016-10-11 13:06:01 UTC
Thanks, glad to hear it is known and worked on. Is there an kernel(?) bug report I should monitor?


bug/show.html.tmpl processed on Mar 29, 2017 at 11:10:43.
(provided by the Example extension).